{
	"json_format_version": [
		1,
		0
	],
	"drives": {
		"id": "drives",
		"path": [
			"devices"
		],
		"cmd": [
			"--scan",
			"--json"
		],
		"values": [
			{
				"id": "name"
			},
			{
				"id": "info_name"
			},
			{
				"id": "type"
			},
			{
				"id": "protocol"
			}
		]
	},
	"driveid": {
		"cmd": [
			"-i",
			"--json"
		],
		"format": [
			"name",
			"model_name"
		],
		"values": [
			{
				"id": "name",
				"path": [
					"device"
				],
				"values": [
					{
						"id": "name"
					}
				]
			},
			{
				"id": "model_family",
				"path": [
					"model_family"
				],
				"values": [
					{
						"id": "model_family"
					}
				]
			},
			{
				"id": "model_name",
				"path": [
					"model_name"
				],
				"values": [
					{
						"id": "model_name"
					}
				]
			},
			{
				"id": "serial_number",
				"path": [
					"serial_number"
				],
				"values": [
					{
						"id": "serial_number"
					}
				]
			}
		]
	},
	"lists": [
		{
			"id": "main",
			"cmd": [
				"-x",
				"--json"
			],
			"contents": [
				{
					"id": "temperature",
					"display": "current",
					"path": [
						"temperature"
					],
					"values": [
						{
							"id": "current"
						},
						{
							"id": "drive_trip"
						},
						{
							"id": "power_cycle_min"
						},
						{
							"id": "power_cycle_max"
						},
						{
							"id": "lifetime_min"
						},
						{
							"id": "lifetime_max"
						}
					]
				},
				{
					"id": "model_family",
					"display": "model_family",
					"path": [
						"model_family"
					],
					"values": [
						{
							"id": "model_family"
						}
					]
				},
				{
					"id": "model_name",
					"display": "model_name",
					"path": [
						"model_name"
					],
					"values": [
						{
							"id": "model_name"
						}
					]
				},
				{
					"id": "serial_number",
					"display": "serial_number",
					"path": [
						"serial_number"
					],
					"values": [
						{
							"id": "serial_number"
						}
					]
				},
				{
					"id": "firmware_version",
					"display": "firmware_version",
					"path": [
						"firmware_version"
					],
					"values": [
						{
							"id": "firmware_version"
						}
					]
				},
				{
					"id": "smart_status",
					"display": "passed",
					"path": [
						"smart_status"
					],
					"values": [
						{
							"id": "passed"
						}
					]
				},
				{
					"id": "power_on_time",
					"display": "hours",
					"path": [
						"power_on_time"
					],
					"values": [
						{
							"id": "hours"
						},
						{
							"id": "minutes"
						}
					]
				},
				{
					"id": "power_cycle_count",
					"display": "power_cycle_count",
					"path": [
						"power_cycle_count"
					],
					"values": [
						{
							"id": "power_cycle_count"
						}
					]
				},
				{
					"id": "scsi_grown_defect_list",
					"path": [
						"scsi_grown_defect_list"
					],
					"values": [
						{
							"id": "scsi_grown_defect_list"
						}
					]
				}
			]
		},
		{
			"id": "smart",
			"cmd": [
				"-x",
				"--json"
			],
			"contents": [
				{
					"id": "ata_smart_attributes",
					"path": [
						"ata_smart_attributes",
						"table"
					],
					"primary": [
						"name"
					],
					"display": "raw",
					"values": [
						{
							"id": "name"
						},
						{
							"id": "value"
						},
						{
							"id": "worst"
						},
						{
							"id": "thresh"
						},
						{
							"id": "when_failed"
						},
						{
							"id": "raw",
							"path": [
								"string"
							]
						},
						{
							"id": "prefailure",
							"path": [
								"flags",
								"prefailure"
							]
						},
						{
							"id": "updated_online",
							"path": [
								"flags",
								"updated_online"
							]
						},
						{
							"id": "performance",
							"path": [
								"flags",
								"performance"
							]
						},
						{
							"id": "error_rate",
							"path": [
								"flags",
								"error_rate"
							]
						},
						{
							"id": "event_count",
							"path": [
								"flags",
								"event_count"
							]
						},
						{
							"id": "auto_keep",
							"path": [
								"flags",
								"auto_keep"
							]
						},
						{
							"id": "string",
							"path": [
								"flags",
								"string"
							]
						}
					]
				}
			]
		},
		{
			"id": "sata_phy_event_counters",
			"cmd": [
				"-x",
				"--json"
			],
			"contents": [
				{
					"id": "sata_phy_event_counters",
					"path": [
						"sata_phy_event_counters",
						"table"
					],
					"primary": [
						"id"
					],
					"display": "name",
					"values": [
						{
							"id": "id",
							"path": [
								"id"
							]
						},
						{
							"id": "name",
							"path": [
								"name"
							]
						},
						{
							"id": "size",
							"name": "size",
							"path": [
								"size"
							]
						},
						{
							"id": "value",
							"path": [
								"value"
							]
						},
						{
							"id": "overflow",
							"path": [
								"overflow"
							]
						}
					]
				}
			]
		},
		{
			"id": "ata_smart_self_test_log",
			"cmd": [
				"-a",
				"--json"
			],
			"contents": [
				{
					"id": "ata_smart_attributes",
					"path": [
						"ata_smart_self_test_log",
						"standard",
						"table"
					],
					"primary": [
						"type"
					],
					"display": "status",
					"values": [
						{
							"id": "type",
							"path": [
								"string"
							]
						},
						{
							"id": "status",
							"path": [
								"string"
							]
						},
						{
							"id": "status",
							"name": "passed",
							"path": [
								"passed"
							]
						},
						{
							"id": "lifetime_hours",
							"path": [
								"lifetime_hours"
							]
						}
					]
				}
			]
		},
		{
			"id": "ata_smart_selective_self_test_log",
			"cmd": [
				"-a",
				"--json"
			],
			"contents": [
				{
					"id": "ata_smart_attributes",
					"display": "status",
					"path": [
						"ata_smart_selective_self_test_log",
						"table"
					],
					"primary": [
						"status"
					],
					"values": [
						{
							"id": "status",
							"path": [
								"string"
							]
						},
						{
							"id": "lba_min",
							"path": []
						},
						{
							"id": "lba_max",
							"path": []
						}
					]
				}
			]
		},
		{
			"id": "misc",
			"cmd": [
				"-x",
				"--json"
			],
			"contents": [
				{
					"id": "local_time",
					"display": "asctime",
					"path": [
						"local_time"
					],
					"values": [
						{
							"id": "asctime"
						}
					]
				},
				{
					"id": "in_smartctl_database",
					"display": "in_smartctl_database",
					"path": [
						"in_smartctl_database"
					],
					"values": [
						{
							"id": "in_smartctl_database"
						}
					]
				},
				{
					"id": "ata_security",
					"display": "string",
					"path": [
						"ata_security"
					],
					"values": [
						{
							"id": "string"
						},
						{
							"id": "enabled"
						},
						{
							"id": "frozen"
						},
						{
							"id": "state"
						}
					]
				},
				{
					"id": "ata_sct_capabilities",
					"display": "value",
					"path": [
						"ata_sct_capabilities"
					],
					"values": [
						{
							"id": "error_recovery_control_supported"
						},
						{
							"id": "feature_control_supported"
						},
						{
							"id": "data_table_supported"
						},
						{
							"id": "value"
						}
					]
				}
			]
		},
		{
			"id": "self-tests",
			"cmd": [
				"-a",
				"--json"
			],
			"contents": [
				{
					"id": "self_test",
					"display": "string",
					"path": [
						"ata_smart_data",
						"self_test",
						"status"
					],
					"exec": [
						"--json",
						"-t"
					],
					"exec-params": [
						"offline",
						"short",
						"long",
						"conveyance",
						"force"
					],
					"exec-separator": " ",
					"values": [
						{
							"id": "string"
						}
					]
				},
				{
					"id": "offline_data_collection",
					"display": "string",
					"path": [
						"ata_smart_data",
						"offline_data_collection",
						"status"
					],
					"values": [
						{
							"id": "string"
						}
					]
				},
				{
					"id": "polling_minutes",
					"display": "short",
					"path": [
						"ata_smart_data",
						"self_test",
						"polling_minutes"
					],
					"values": [
						{
							"id": "short"
						},
						{
							"id": "extended"
						},
						{
							"id": "conveyance"
						}
					]
				},
				{
					"id": "capabilities",
					"display": "self_tests_supported",
					"path": [
						"ata_smart_data",
						"capabilities"
					],
					"values": [
						{
							"id": "exec_offline_immediate_supported"
						},
						{
							"id": "offline_is_aborted_upon_new_cmd"
						},
						{
							"id": "offline_surface_scan_supported"
						},
						{
							"id": "self_tests_supported"
						},
						{
							"id": "conveyance_self_test_supported"
						},
						{
							"id": "selective_self_test_supported"
						},
						{
							"id": "attribute_autosave_enabled"
						},
						{
							"id": "error_logging_supported"
						},
						{
							"id": "gp_logging_supported"
						}
					]
				}
			]
		},
		{
			"id": "info",
			"cmd": [
				"-x",
				"--json"
			],
			"contents": [
				{
					"id": "vendor",
					"display": "vendor",
					"path": [
						"vendor"
					],
					"values": [
						{
							"id": "vendor"
						}
					]
				},
				{
					"id": "product",
					"display": "product",
					"path": [
						"product"
					],
					"values": [
						{
							"id": "product"
						}
					]
				},
				{
					"id": "model_name",
					"display": "model_name",
					"path": [
						"model_name"
					],
					"values": [
						{
							"id": "model_name"
						}
					]
				},
				{
					"id": "revision",
					"display": "revision",
					"path": [
						"revision"
					],
					"values": [
						{
							"id": "revision"
						}
					]
				},
				{
					"id": "scsi_version",
					"display": "scsi_version",
					"path": [
						"scsi_version"
					],
					"values": [
						{
							"id": "scsi_version"
						}
					]
				},
				{
					"id": "sata_version",
					"display": "string",
					"path": [
						"sata_version"
					],
					"values": [
						{
							"id": "string"
						}
					]
				},
				{
					"id": "ata_version",
					"display": "string",
					"path": [
						"ata_version"
					],
					"values": [
						{
							"id": "string"
						},
						{
							"id": "major_value"
						},
						{
							"id": "minor_value"
						}
					]
				},
				{
					"id": "interface_speed",
					"display": "string",
					"path": [
						"interface_speed",
						"current"
					],
					"values": [
						{
							"id": "string"
						}
					]
				},
				{
					"id": "user_capacity",
					"display": "bytes",
					"path": [
						"user_capacity"
					],
					"values": [
						{
							"id": "bytes"
						},
						{
							"id": "blocks"
						}
					]
				},
				{
					"id": "serial_number",
					"display": "serial_number",
					"path": [
						"serial_number"
					],
					"values": [
						{
							"id": "serial_number"
						}
					]
				},
				{
					"id": "device_type",
					"display": "name",
					"path": [
						"device_type"
					],
					"values": [
						{
							"id": "name"
						}
					]
				},
				{
					"id": "device",
					"display": "type",
					"path": [
						"device"
					],
					"values": [
						{
							"id": "type"
						},
						{
							"id": "protocol"
						}
					]
				},
				{
					"id": "rotation_rate",
					"display": "rotation_rate",
					"path": [
						"rotation_rate"
					],
					"values": [
						{
							"id": "rotation_rate"
						}
					]
				},
				{
					"id": "logical_block_size",
					"display": "logical_block_size",
					"path": [
						"logical_block_size"
					],
					"values": [
						{
							"id": "logical_block_size"
						}
					]
				},
				{
					"id": "physical_block_size",
					"display": "physical_block_size",
					"path": [
						"physical_block_size"
					],
					"values": [
						{
							"id": "physical_block_size"
						}
					]
				},
				{
					"id": "ata_apm",
					"display": "level",
					"path": [
						"ata_apm"
					],
					"exec": [
						"--json",
						"--saveauto=on",
						"-s",
						"apm"
					],
					"exec-params": [
						"1-254"
					],
					"exec-separator": ",",
					"values": [
						{
							"id": "enabled"
						},
						{
							"id": "level"
						},
						{
							"id": "string"
						},
						{
							"id": "max_performance"
						},
						{
							"id": "min_power"
						},
						{
							"id": "with_standby"
						}
					]
				},
				{
					"id": "ata_aam",
					"display": "level",
					"path": [
						"ata_aam"
					],
					"exec": [
						"--json",
						"--saveauto=on",
						"-s",
						"aam"
					],
					"exec-params": [
						"1-254"
					],
					"exec-separator": ",",
					"values": [
						{
							"id": "enabled"
						},
						{
							"id": "level"
						},
						{
							"id": "string"
						},
						{
							"id": "recommended_level"
						}
					]
				},
				{
					"id": "read_lookahead",
					"display": "enabled",
					"path": [
						"read_lookahead"
					],
					"values": [
						{
							"id": "enabled"
						}
					]
				},
				{
					"id": "write_cache",
					"display": "enabled",
					"path": [
						"write_cache"
					],
					"values": [
						{
							"id": "enabled"
						}
					]
				}
			]
		},
		{
			"id": "scsi",
			"cmd": [
				"-a",
				"--json"
			],
			"contents": [
				{
					"id": "scsi_error_counter_log_read",
					"path": [
						"scsi_error_counter_log",
						"read"
					],
					"values": [
						{
							"id": "errors_corrected_by_eccfast"
						},
						{
							"id": "errors_corrected_by_eccdelayed"
						},
						{
							"id": "errors_corrected_by_rereads_rewrites"
						},
						{
							"id": "total_errors_corrected"
						},
						{
							"id": "gigabytes_processed"
						},
						{
							"id": "total_uncorrected_errors"
						}
					]
				},
				{
					"id": "scsi_error_counter_log_write",
					"path": [
						"scsi_error_counter_log",
						"write"
					],
					"values": [
						{
							"id": "errors_corrected_by_eccfast"
						},
						{
							"id": "errors_corrected_by_eccdelayed"
						},
						{
							"id": "errors_corrected_by_rereads_rewrites"
						},
						{
							"id": "total_errors_corrected"
						},
						{
							"id": "gigabytes_processed"
						},
						{
							"id": "total_uncorrected_errors"
						}
					]
				},
				{
					"id": "scsi_error_counter_log_verify",
					"path": [
						"scsi_error_counter_log",
						"verify"
					],
					"values": [
						{
							"id": "errors_corrected_by_eccfast"
						},
						{
							"id": "errors_corrected_by_eccdelayed"
						},
						{
							"id": "errors_corrected_by_rereads_rewrites"
						},
						{
							"id": "total_errors_corrected"
						},
						{
							"id": "gigabytes_processed"
						},
						{
							"id": "total_uncorrected_errors"
						}
					]
				}
			]
		},
		{
			"id": "health",
			"cmd": [
				"--health",
				"--json"
			],
			"contents": [
				{
					"id": "ata_smart_attributes",
					"path": [
						"ata_smart_attributes",
						"table"
					],
					"primary": [
						"name"
					],
					"display": "raw",
					"values": [
						{
							"id": "name"
						},
						{
							"id": "value"
						},
						{
							"id": "worst"
						},
						{
							"id": "thresh"
						},
						{
							"id": "when_failed"
						},
						{
							"id": "raw",
							"path": [
								"string"
							]
						},
						{
							"id": "prefailure",
							"path": [
								"flags",
								"prefailure"
							]
						},
						{
							"id": "updated_online",
							"path": [
								"flags",
								"updated_online"
							]
						},
						{
							"id": "performance",
							"path": [
								"flags",
								"performance"
							]
						},
						{
							"id": "error_rate",
							"path": [
								"flags",
								"error_rate"
							]
						},
						{
							"id": "event_count",
							"path": [
								"flags",
								"event_count"
							]
						},
						{
							"id": "auto_keep",
							"path": [
								"flags",
								"auto_keep"
							]
						},
						{
							"id": "string",
							"path": [
								"flags",
								"string"
							]
						}
					]
				},
				{
					"id": "smart_status",
					"display": "passed",
					"path": [
						"smart_status"
					],
					"values": [
						{
							"id": "passed"
						}
					]
				},
				{
					"id": "temperature",
					"display": "current",
					"path": [
						"temperature"
					],
					"values": [
						{
							"id": "current"
						}
					]
				}
			]
		}
	]
}